<?php
//include_once './ConexionII.php';
$server="localhost";
	$username="comerc_admin";
	$password="CO2316255129238111";
	$db='comerc_mauriciocorrea';
	$con=mysql_connect($server,$username,$password)or die("No se ha podido establecer la conexion");
	$sdb=mysql_select_db($db,$con)or die("La base de datos no existe");
session_start();

$_SESSION['Numero'] = $_GET[num];
$_SESSION['Fecha'] = $_GET[fecha];
$_SESSION['NombreCliente'] = $_GET[cliente];
$_SESSION['Cedula'] = $_GET[id];
$_SESSION['Direccion'] = $_GET[direccion];
$_SESSION['Ciudad'] = $_GET[ciudad];
$_SESSION['ApellidoCliente'] = $_GET[establecimiento];
$_SESSION['Congelador'] = $_GET[equipo];
$_SESSION['Subtotal']= $_GET[subtotal];;
$_SESSION['DescuentoAplicado']= $_GET[valordescuento];
$_SESSION['Descuento']= $_GET[descuento];
$_SESSION['IVA']= $_GET[iva];
$_SESSION['Total']= $_GET[total];
$_SESSION['Contador'];


$result = mysql_query("SELECT descripcion, precioproducto, cantidadproducto, ventas.total AS total FROM ventas, facturas, productos WHERE ventas.idfactura = ".$_GET['num']." AND ventas.idproducto = productos.codigo AND ventas.idfactura = facturas.numero AND ventas.tipo LIKE 'REMISION' AND facturas.tipo LIKE 'REMISION'", $con);

//

        if(mysql_num_rows($result)>0){  
       while ($dato = mysql_fetch_array($result)){
$_SESSION['Linea'][($_SESSION['Contador'] + 1)] = array('codigo' => $dato['codigo_1'], 'producto' => $dato['descripcion'], 'cantidad' => $dato['cantidadproducto'], 'valor' => $dato['precioproducto'], 'valorsiniva' => ($dato['precioproducto']/1.16), 'subtotal' => ($dato['precioproducto']*$dato['cantidadproducto']), 'subtotalsiniva' => 777);
$_SESSION['Contador'] = $_SESSION['Contador'] + 1;
$Contador = $_SESSION['Contador'];
               
        }
        
       }
       


//1----

//variable que guarda el nombre del archivo JPG
$archivo= $_SESSION['Numero']." Rem.png";

$Contador = $_SESSION['Contador'];

$archivo_de_salida=$archivo;

$Texto1 = "DISTRIBUCIONES MC";
$Texto2 = "NIT: 71621894-0";
$Texto3 = "Cll 20 Politecnico #15-19";
$Texto4 = "Cisneros";
$Texto5 = "TEL: 311 397 10 23";
$Texto6 ="REGIMEN COMUN";
$Texto7 = "REMISION No: ".$_SESSION['Numero'];
$Texto8 = "FECHA: ".$_SESSION['Fecha'];
$Texto9 =  $_SESSION['NombreCliente'];
$Texto10 = $_SESSION['ApellidoCliente'];

$Texto11 = "ID: ".number_format($_SESSION['Cedula']);

$Texto13 = "EQ: ".number_format($_SESSION['Congelador']);
$Texto14 = $_SESSION['Direccion'].' '.$_SESSION['Ciudad'];//Cambios!!!
$Fuente = 'fonts/arial_narrow_7';

$Img = imagecreate( 400, (755 + ($Contador * 25)));
$ColorFondo= imagecolorallocate( $Img, 255, 255, 255);
$ColorTexto= imagecolorallocate( $Img, 0, 0, 0 );
$ColorLinea= imagecolorallocate( $Img, 0, 0, 0);
imagettftext($Img, 30, 0, 50, 40, $ColorTexto, $Fuente, $Texto1);
imagettftext($Img, 25, 0, 90, 70, $ColorTexto, $Fuente, $Texto2);
imagettftext($Img, 25, 0, 30, 100, $ColorTexto, $Fuente, $Texto3);
imagettftext($Img, 25, 0, 130, 130, $ColorTexto, $Fuente, $Texto4);
imagettftext($Img, 25, 0, 80, 160, $ColorTexto, $Fuente, $Texto5);
imagettftext($Img, 25, 0, 99, 190, $ColorTexto, $Fuente, $Texto6);
imagettftext($Img, 25, 0, 25, 240, $ColorTexto, $Fuente, $Texto7);
imagettftext($Img, 25, 0, 30, 270, $ColorTexto, $Fuente, $Texto8);
imagettftext($Img, 25, 0, 10, 310, $ColorTexto, $Fuente, $Texto9);
imagettftext($Img, 25, 0, 10, 340, $ColorTexto, $Fuente, $Texto11);
imagettftext($Img, 25, 0, 10, 370, $ColorTexto, $Fuente, $Texto10);
imagettftext($Img, 25, 0, 10, 400, $ColorTexto, $Fuente, $Texto14);
imagettftext($Img, 25, 0, 10, 430, $ColorTexto, $Fuente, $Texto13);
imagesetthickness ( $Img, 1 );
imageline( $Img, 5, 440, 395, 440, $ColorLinea);
//imagettftext($Img, 17, 0, 10, 465, $ColorTexto, $Fuente, 'COD');
imagettftext($Img, 17, 0, 10, 465, $ColorTexto, $Fuente, 'PRODUCTO');
imagettftext($Img, 17, 0, 220, 465, $ColorTexto, $Fuente, 'CANT');
imagettftext($Img, 17, 0, 265, 465, $ColorTexto, $Fuente, 'VALOR');
imagettftext($Img, 17, 0, 335, 465, $ColorTexto, $Fuente, 'TOTAL');
imageline( $Img, 5, 470, 395, 470, $ColorLinea);

$Alto = 495;
$Cambio = true;
for($Contador = $Contador; $Contador >=1; $Contador--){
if($Cambio == true){
//imagettftext($Img, 14, 0, 10, 495, $ColorTexto, $Fuente, $_SESSION['Linea'][$Contador]['codigo']);
imagettftext($Img, 19, 0, 10, 495, $ColorTexto, $Fuente, $_SESSION['Linea'][$Contador]['producto']);
imagettftext($Img, 19, 0, 220, 495, $ColorTexto, $Fuente, $_SESSION['Linea'][$Contador]['cantidad']);
imagettftext($Img, 19, 0, 265, 495, $ColorTexto, $Fuente, $_SESSION['Linea'][$Contador]['valor']);
imagettftext($Img, 19, 0, 335, 495, $ColorTexto, $Fuente, $_SESSION['Linea'][$Contador]['subtotal']);

   
   // $pdf->Ln(5);
    $Cambio = false;
}else{
$Alto  = $Alto + 25;
//imagettftext($Img, 14, 0, 10, $Alto, $ColorTexto, $Fuente, $_SESSION['Linea'][$Contador]['codigo']);
imagettftext($Img, 19, 0, 10, $Alto, $ColorTexto, $Fuente, $_SESSION['Linea'][$Contador]['producto']);
imagettftext($Img, 19, 0, 220, $Alto, $ColorTexto, $Fuente, $_SESSION['Linea'][$Contador]['cantidad']);
imagettftext($Img, 19, 0, 265, $Alto, $ColorTexto, $Fuente, $_SESSION['Linea'][$Contador]['valor']);
imagettftext($Img, 19, 0, 335, $Alto, $ColorTexto, $Fuente, $_SESSION['Linea'][$Contador]['subtotal']);
}
    
}

imagettftext($Img, 20, 0, 40, $Alto + 65, $ColorTexto, $Fuente, "Subtotal: $".number_format($_SESSION['Subtotal']));
imagettftext($Img, 20, 0, 40, $Alto + 90, $ColorTexto, $Fuente, "Descuento ".$_SESSION['Descuento']."% : $".number_format($_SESSION['DescuentoAplicado']));

imagettftext($Img, 20, 0, 40, $Alto + 115, $ColorTexto, $Fuente, "IVA: $".number_format($_SESSION['IVA']));
imagettftext($Img, 20, 0, 40, $Alto + 140, $ColorTexto, $Fuente, "Total : $".number_format($_SESSION['Total']));
imagettftext($Img, 15, 0, 10, $Alto + 190, $ColorTexto, $Fuente, "GRACIAS POR PREFERIRNOS.");

imagettftext($Img, 15, 0, 10, $Alto + 210, $ColorTexto, $Fuente, "");








header( "Content-type: appication/png" );
header ("Content-Disposition: attachment; filename=$archivo");
header("Content-Length: " . filesize("$archivo"));
$fp = fopen($archivo, "r");
fpassthru($fp);
imagepng($Img );
imagecolordeallocate( $ColorLinea);
imagecolordeallocate( $ColorTexto);
imagecolordeallocate( $ColorFondo);
imagedestroy($Img );



$_SESSION['Impresa'] = true;
$_SESSION['Impresa'] = true;
unset($_SESSION['Numero']);
unset($_SESSION['Fecha']);
unset($_SESSION['NombreCliente']);
unset($_SESSION['ApellidoCliente']);
unset($_SESSION['Cedula']);
unset($_SESSION['Direccion']);
unset($_SESSION['Telefono']);
unset($_SESSION['Celular']);
unset($_SESSION['Contador']);
unset($_SESSION['Correo']);
unset($_SESSION['Congelador']);
unset($_SESSION['Marca']);
unset($_SESSION['Linea']);
unset($_SESSION['CodigoProducto']);
unset($_SESSION['IdCliente']);
unset($_SESSION['Factura']);
unset($_SESSION['Descuento']);
unset($_SESSION['DescuentoAplicado']);
unset($dato['']);



?>



